> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all transfer reversals



## OpenAPI

````yaml openapi-owners.json GET /v1/transfers/{id}/reversals
openapi: 3.1.0
info:
  title: Yorlet Owners API
  description: APIs for managing owner payouts, payment runs, transfers, and tax forms.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/transfers/{id}/reversals:
    get:
      tags:
        - Transfer Reversals
      summary: List all transfer reversals
      operationId: transfer_reversals_list
      parameters:
        - schema:
            type: string
            description: The id identifier.
          required: true
          description: The id identifier.
          name: id
          in: path
      responses:
        '200':
          description: Returns the list of transfer reversals.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - transfer_reversal
                        amount:
                          type: integer
                          description: The amount reversed, in the smallest currency unit.
                        currency:
                          type: string
                          enum:
                            - gbp
                            - usd
                            - eur
                            - sek
                          description: >-
                            Three-letter ISO currency code, in lowercase. Must
                            be a supported currency.
                          example: gbp
                        description:
                          type:
                            - string
                            - 'null'
                          description: >-
                            An arbitrary string attached to the reversal. Often
                            useful for displaying to users.
                        metadata:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            type: string
                          description: >-
                            Set of key-value pairs that you can attach to an
                            object. This can be useful for storing additional
                            information about the object in a structured format.
                        transfer:
                          type: string
                          description: The ID of the transfer that was reversed.
                      required:
                        - id
                        - created
                        - object
                        - amount
                        - currency
                        - description
                        - transfer
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````